%V1Mosaic

%% Set up 'world' parameters
fontSize =12;

%set up 'world' parameters
pWorld.n = [800,1000,1];      %[ny, nx, nt] in pixels
pWorld.visAngle = 90;        %horizontal extent of visual angle
pWorld.dur = 0;             %total stimulus duration (seconds)
pWorld.background = 0;      %background color: [-1,1]

pWorld = initWorld(pWorld); %get the x and y meshrid matrices

%%
nRF = 2100;
img = zeros(pWorld.n(1),pWorld.n(2));
i=1;
clear pRF
while i<nRF
    OK=1;
    pRF(i).center = .9*pWorld.visAngle*[1,pWorld.n(1)/pWorld.n(2)].*(rand(1,2)-.5);
    pRF(i).sf = 1.5*rand(1)+.5;
    pRF(i).sig = .5/pRF(i).sf;
    for j=1:i-1
        if norm(pRF(i).center-pRF(j).center)<1.5*(pRF(i).sig+pRF(j).sig)
            OK = 0;
            break
        end
    end
    if OK
        pRF(i).ang = 360*rand(1);
        pRF(i).contrast =1;
        pRF(i).phase = 360*rand(1);


        img = img+ makeGaborRF(pWorld,pRF(i));
        disp(sprintf('%5.2f',100*i/nRF));
        if mod(i,20)==0;
            showRF(pWorld,img);
            drawnow
        end
        i=i+1;
    end
end

%% make the RF image











