function [RMS,predThresh] = fitLinearModel(pModel,pWorld,stim,filt,thresh)

respStim = zeros(1,size(stim,3));
for i=1:size(stim,3)
    L = abs(linearResponse(pWorld,stim(:,:,i),filt));
    respStim(i) = powerLawModel(pModel,L);
end

predThresh = pModel.inc./respStim;

%calculate error

tmp = repmat(-20*log10(predThresh)',1,size(thresh,2));
RMS  =sqrt(sum((tmp(:)-20*thresh(:)).^2)/size(thresh,1));