function [RMS,predThresh] = fitWatsonModel(pModel,thresh);

for i=1:size(thresh,1);
    R(i) = sum(( sum( abs(pModel.convImg(:,:,i)).^pModel.beta)))^(1/pModel.beta);
end

predThresh = pModel.inc./R;

%calculate error

tmp = repmat(-20*log10(predThresh)',1,size(thresh,2));
RMS  =sqrt(sum((tmp(:)-20*thresh(:)).^2)/size(thresh,1));