function STA = getSTA(pWorld,spikes,stim,nt);


STA = zeros(pWorld.n(1),pWorld.n(2),nt);
id = find(spikes>0);


for i=1:length(id)
    n = min(nt,id(i))-1;
    STA(:,:,1:(n+1)) = STA(:,:,1:(n+1)) + stim(:,:, id(i):-1:(id(i)-n));
end

if length(id)>0
    STA = STA/length(id);
end