function [dc,amp,ph] = myfft(y)
%[dc,amp,ph] = myfft(y)

freqs = 2:ceil(length(y)/2)+1;

f = fft(y);


%f(2) -> 1 cycle
%f(3) -> 2 cycles ...
%f(7) -> 6 cycles


dc = f(1)/length(y);  %mean
amp=abs(f(freqs))*2/length(y);    %amplitude
ph = -90-180*(angle(f(freqs)))/pi;  %sine phase

amp(length(amp)) = amp(length(amp))/2;
