function famp=plotFFT(pWorld,img,k,sf)

if ~exist('k','var')
    k = 1;
end


if ~exist('sf','var')
    sf =pWorld.visAngle;
end


n = pWorld.n(1);
w = linspace(-n/2,n/2,n*k)/sf;
f = fftshift(fft2(img,n*k,n*k));

clf
subplot(1,2,1)
image(pWorld.x(1,:),pWorld.y(:,1),(img+1)*127);
axis square;
colormap(gray(256));

subplot(1,2,2)

famp = abs(f);
%famp = sqrt(famp);
famp = famp/max(abs(famp(:)));

image(w,w,255*famp);
axis square;
colormap(gray(256));


set(gca,'XLim',[-sf,sf]);
set(gca,'YLim',[-sf,sf]);

xlabel('wx')
ylabel('wy')
