function animate(pWorld,img,nReps)
%animate(img,[dur],[nReps])
%show the space-time image 'img' as a movie
%of duration dur repeated nReps times
%
%6/29/08 G.M. Boynton wrote it


if ~exist('nReps','var')
    nReps =1;
end



clf
h = image((img(1,:)+1)*127.5);
colormap(gray(256))
axis off

n = size(img,1);
t = 0;
for j=1:nReps
    tic
    for i=1:n
        set(h,'CData',(img(i,:)+1)*127.5);
        while toc<i*pWorld.dur/n;end
        drawnow;
    end
end