%MT.m

%% Define 'World' parameters
pWorld.n = [200,200,10];  %[ny, nx, nt] in pixels
pWorld.visAngle = 10;   %horizontal extent of visual angle
pWorld.dur = (pWorld.n(3)-1)/1000;        %duration (seconds)
pWorld.background = 0;
pWorld.dur = 1;

pWorld = initWorld(pWorld);  %get the x and y meshrid matrices


%% Spatial and Temporal frequency

%spatial parameters for Gabor receptive field

pStim.sf =  1;               %'carrier' spatial frequency (c/deg) (to be varied)
pStim.tf = 1;

phase = pWorld.t*pStim.tf;

figure(3)
plotFFT(pWorld,stim,5);
set(gcf,'PaperPosition',[1,1,4,2]);


