function spikes = spikeRate2Spikes(pWorld,spikeRate)
%spikes = spikeRate2Spikes(pWorld,spikeRate)
%
%Parameters:
%   pWorld.t       time vector (needed to determine time bin size)
%   spikeRate      time-course of average spike rate
%
%   spikes         binary output of spike train
%
%10/7/08 Written by G.M. Boynton at the University of Washington
dt = pWorld.t(2)-pWorld.t(1);
p = min(spikeRate*dt,1);
spikes = floor(rand(pWorld.n(3),1)+p);
